Android Development Update Hell

It appears to me that recently, some developers have gone nuts. Like the ones sitting at Google. They don't seem to be interested in backwards or forwards compatibility, and are pushing out this incredible crazy development dependencies. As example, see below what I spent half of this day doing: I just wanted to debug CopperCube's Android client code on a newly bought phone. Should be easy, with a ready to run and working development environment, right? No:
  • Me: trying to debug my code by hitting the 'Debug' button with the new device connected.
  • ADT: "Device is offline! I cannot do anything."
  • The internet says I need to update the Android SDK for this.
    • I'm updating the Android SDK. Trying again to debug.
  • Android SDK: "I don't run with this version of ADT. Please update!"
    • I'm updating the ADT.
  • ADT: "I won't work with this version of Eclipse. Please update Eclipse!"
    • I'm updating Eclipse. It won't instead, it decides to hang or to crash randomly each time I try.
    • I'm downloading a new version of Eclipse. Reinstalling. Then downloading and installing a new ADT for that Eclipse.
  • ADT: "This plugin requires the build tools to be installed!"
    • I'm downloading and installing the build tools. Together with about 15 other things the SDK Manager tells me to. This takes about 1 hour.
  • Then, finally, I was able to debug my stuff again, after half a day of senseless updating and installing.
Dear developers: Did you ever hear about the term backwards compatibility? Or forward compatibility? The software I write has over 500 highly complex features (from calculating math on 3D GPUs, over running a web server to generating Android apps on the fly, or rendering realtime 3d reflection surfaces), will run on Windows 8 and 10, and while using some of that operating system newest features, it will still also run on Windows 95. And you don't have to update each time you start that thing. It is not magic. You just don't have to be a lazy-ass developer, in order to make this possible.

two comments, already:

I’m sorry to here that you have had so many problems. But I do agree with why can’t they make thing’s backward compatible.

But after time there is a time to cut bait and move forward and you have to not support different system versions.

But that’s why I like how you do thing’s you try to make sure everything works together and That’s why I support CopperCube.
TheElk (link) - 30 04 15 - 09:11

Also, it is such a fucking great idea by the Google devs to throw Exceptions in their news Android versions, where they didn’t in older versions. Makes old software to stop working. Fucking great.
zabast - 30 04 15 - 09:17


Name:  
Remember personal info?
yes
no
Email (optional):
URL (optional):
Enter "layered" (antispam):
Comment:Emoticons / Textile

  ( Register your username / Log in )

Notify: Yes, send me email when someone replies.  

Small print: All html tags except <b> and <i> will be removed from your comment. You can make links by just typing the url or mail-address.
Note: If you type in your email adress above, it will be visible to other visitors, although it will be hidden for bots using javaScript.